Package org.eclipse.birt.report.engine.api

# Class DocumentUtil

java.lang.Object
org.eclipse.birt.report.engine.api.DocumentUtil

public class DocumentUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`DocumentUtil()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`copy(org.eclipse.birt.core.archive.compound.IArchiveFile source, org.eclipse.birt.core.archive.compound.IArchiveFile target, IReportRunnable runnable)`
`static void`
`copy(org.eclipse.birt.core.archive.compound.IArchiveFile source, org.eclipse.birt.core.archive.compound.IArchiveFile target, IReportRunnable runnable, Map<String,String> transformations)`
`static Collection<IBookmarkInfo>`
`getBookmarks(IReportDocument document, Locale locale)`
`static boolean`
`isCube(IReportDocument document, InstanceID instanceId)`
Judge whether it's a cube based on instance id

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DocumentUtil

public DocumentUtil()

## Method Details

### copy

public static void copy(org.eclipse.birt.core.archive.compound.IArchiveFile source, org.eclipse.birt.core.archive.compound.IArchiveFile target, IReportRunnable runnable) throws EngineException

Throws:
  `EngineException`

### copy

public static void copy(org.eclipse.birt.core.archive.compound.IArchiveFile source, org.eclipse.birt.core.archive.compound.IArchiveFile target, IReportRunnable runnable, Map<String,String> transformations) throws EngineException

Parameters:
  `source` - The source archive file to copy
  `target` - The destination archive file to copy to
  `runnable` -
  `transformations` - Optional transformations to apply when copying archive streams from source to destination archive
Throws:
  `EngineException`

### getBookmarks

public static Collection<IBookmarkInfo> getBookmarks(IReportDocument document, Locale locale) throws EngineException

Returns:
  a collection of all bookmark info; null is returned if no bookmark info.
Throws:
  `EngineException`

### isCube

public static boolean isCube(IReportDocument document, InstanceID instanceId)
Judge whether it's a cube based on instance id

Parameters:
  `document` - a report document
  `instanceId` - an instance id
Returns: